(function(doc, win) {
    var docEl = doc.documentElement,
        resizeEvt = 'orientationchange' in window ? 'orientationchange' : 'resize',
        recalc = function() {
            var clientWidth = docEl.clientWidth;
            if (!clientWidth) return;
            if(clientWidth>540){
                clientWidth=640;
                docEl.style.width = 640 + 'px';
            }
            docEl.style.fontSize = (clientWidth / 20) + 'px';
            docEl.style.marginLeft = 'auto';
            docEl.style.marginRight = 'auto';

        };
    if (!doc.addEventListener) return;
    win.addEventListener(resizeEvt, recalc, false);
    doc.addEventListener('DOMContentLoaded', recalc, false);
})(document, window);